> For the complete documentation index, see [llms.txt](https://docs.openg2p.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.openg2p.org/platform/platform-services/interoperability.md).

# Interoperability

OpenG2P Interoperability

At the very onset OpenG2P team has been cognizant of the importance of working with DPGs and other external components with standard interfaces avoiding the need to develop proprietary and custom methods of connecting to other systems. Interoperability is a fundamental design principle in OpenG2P's thought process. We have been an active participant in interoperability efforts like G2P Connect, DCI, and GovStack. Specifically, the following **open standards** interfaces have been implemented:

| Open Standard                                                                                                   | Application                                                                                                          |
| --------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------- |
| [G2P Connect ID Mapper APIs](https://g2p-connect.github.io/specs/release/html/mapper_core_api_v1.0.0.html)      | [SPAR](https://github.com/OpenG2P/openg2p-documentation/blob/latest/social-payments-account-registry-spar/README.md) |
| [G2P Connect Disbursement APIs](https://g2p-connect.github.io/specs/release/html/disburse_core_api_v1.0.0.html) | [G2P Bridge](/products/g2p-bridge.md), [PBMS](/products/pbms.md)                                                     |
| [G2P Connect Registry APIs](https://g2p-connect.github.io/specs/release/html/registry_core_api_v1.0.0.html)     | [PBMS](/products/pbms.md), [Social Registry](/products/registry/registry/_archive/social-registry.md)                |
| [Verifiable Credentials](https://www.w3.org/TR/vc-data-model/)                                                  | [e-Voucher](/products/pbms/_archive/previous-generation/functionality/disbursement-cycles/e-voucher.md) and e-Card   |
| [S3 APIs](https://docs.aws.amazon.com/AmazonS3/latest/API/Welcome.html)                                         | Document store                                                                                                       |
| [⁠CWT](https://datatracker.ietf.org/doc/html/rfc8392)                                                           | QR Code Scan of ID                                                                                                   |
| [⁠OpenID](https://auth0.com/docs/authenticate/protocols/openid-connect-protocol)                                | Authentication                                                                                                       |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.openg2p.org/platform/platform-services/interoperability.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
